Notus API
Fiat

Create Fiat Deposit Order

This endpoint creates a fiat deposit order for a given quote id with enhanced entity tracking.

POST
/api/v2/fiat/deposit

Authorization

x-api-key
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/fiat/deposit" \  -H "Content-Type: application/json" \  -d '{    "quoteId": "12345678-1234-1234-1234-123456789012"  }'
{  "id": "123e4567-e89b-12d3-a456-426614174000",  "from": {    "currency": "BRL",    "amount": "100.50"  },  "to": {    "currency": "USDC",    "amount": "99.50"  },  "depositInstructions": {    "type": "ACH",    "routingNumber": "1234567890",    "accountNumber": "1234567890",    "accountType": "CHECKING",    "beneficiary": {      "name": "John Doe",      "addressLine1": "123 Main St",      "addressLine2": "string"    },    "receivingBank": {      "name": "John Doe",      "addressLine1": "123 Main St",      "addressLine2": "string"    },    "memoCode": "TID86OASAL"  }}